いつでも発展途上

ITとゲーム漬けのシャチ。とくにブログのテーマはなく、メモ代わりに書いています。休眠気味。

sqlite3-ruby の DL driver は deprecated らしい

sqlite3-ruby 1.2.4 をダウンロードして irb で使ってみたところ、

irb(main):003:0> db = SQLite3::Database.new('test.db')
The DL driver for sqlite3-ruby is deprecated and will be removed
in a future release. Please update your installation to use the
Native driver.

と言われた。強引に db.execute とかすると一応動くみたいだけど。
調べてみたらメンテナが変わって、いろいろあったりするみたい。ちょっと気をつけてないといけないかも。

2010/01/05補足: id:edvakf さんにご指摘を受け、タイトルを修正しました。